Bug 497755 - tiny recent change broke textured video
tiny recent change broke textured video
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-26 18:37 EDT by Michal Schmidt
Modified: 2009-05-06 01:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-06 01:11:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
this patch broke xvideo (1.45 KB, patch)
2009-04-26 18:37 EDT, Michal Schmidt
no flags Details | Diff
mplayer -vo x11 (without acceleration) - correct look png (144.25 KB, image/png)
2009-04-28 19:52 EDT, Hin-Tak Leung
no flags Details
mplayer -vo xv (with xvideo) - wrongly scaled look (211.66 KB, image/png)
2009-04-28 20:04 EDT, Hin-Tak Leung
no flags Details

  None (edit)
Description Michal Schmidt 2009-04-26 18:37:15 EDT
Created attachment 341373 [details]
this patch broke xvideo

Description of problem:
As noticed by Hin-Tak Leung in https://bugzilla.redhat.com/show_bug.cgi?id=493068#c22 , the change between 6.12.2-5.fc11 and 6.12.2-6.fc11 broke XVideo at least on RS690M.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.12.2-6.fc11.x86_64

How reproducible:
always

Steps to Reproduce:
1. play a video using totem, mplayer, or just use gstreamer-properties test
2.
3.
  
Actual results:
The window where the video is supposed to be is filled with solid green color.
/var/log/Xorg.0.log is logging lots of these messages during the video playback attempt:
(EE) RADEON(0): ADVANCE_RING count != expected (14 vs 16) at radeon_textured_videofuncs.c:1626

Expected results:
Video should be visible. 

Additional info:
It worked with 6.12.2-5. The difference between the two versions is just three lines (the broken patch is attached for reference).
Comment 1 Hin-Tak Leung 2009-04-26 19:18:56 EDT
There is another bug (bug 492685) which follows xvideo development, and it is probably appropriate to either close this as duplicate, or make this depends on that.
Comment 2 Hin-Tak Leung 2009-04-28 19:52:29 EDT
Created attachment 341674 [details]
mplayer -vo x11 (without acceleration) - correct look png

Continual work on bug 497427 results in 6.12.2-9.fc11, and xvideo is broken in a different way; now movies are played scaled wrongly. This png is the correct look (note the size of the "14" icon, and compared to the next png I am going to attach).
Comment 3 Hin-Tak Leung 2009-04-28 20:04:44 EDT
Created attachment 341675 [details]
mplayer -vo xv (with xvideo) - wrongly scaled look

This is a screenshot of the same movie as the last png, but with xvideo accelation; note the size of the "14" icon - it is way too large, compared to the one without acceleration (in the last attachment).
Comment 4 Hin-Tak Leung 2009-04-30 09:02:24 EDT
attachment 
https://bugzilla.redhat.com/attachment.cgi?id=341919 of bug 497427 seems to not break png nor xvideo... see comment 
https://bugzilla.redhat.com/show_bug.cgi?id=497427#c20
Comment 5 Dave Airlie 2009-05-06 01:11:08 EDT
should be fixed now.

Note You need to log in before you can comment on or make changes to this bug.